#include "helpwindow.h"

HelpWindow::HelpWindow(QTextEdit **ref) : QTextEdit()

{
    this->ref = ref;
    m_button = new QPushButton("go back", this);
        // set size and location of the button
        m_button->setGeometry(QRect(QPoint(680, 15),
                                     QSize(110, 45)));
        m_button->setStyleSheet("QPushButton{ background-color: qlineargradient(x1: 0, y1: 0, x2: 0, y2: 1, stop: 0 white, stop: 1 grey); border-style: solid; border-color: white; border-width: 5px; border-radius: 10px; }");

        // Connect button signal to appropriate slot
        connect(m_button, SIGNAL(released()), this, SLOT(button_goback()));

}

void HelpWindow::closeEvent(QCloseEvent * event)
{
    (void)event;
    emit setHelpButton(false,true);
    delete *ref; // or this. *ref should == this
    *ref = 0;
}

void HelpWindow::button_goback()
{
    emit setHelpButton(true,true);
}
